Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.pm.measurement
Interface CurrentResultReport

All Superinterfaces:
  java.lang.Cloneable, java.io.Serializable, SerializerFactory

All Known Implementing Classes:
  CurrentResultReportImpl

public interface CurrentResultReport
extends java.io.Serializable, java.lang.Cloneable, SerializerFactory

This interface represents report of the current values of a measurement job.

An external system may for some reason be interested in the current values of the measurement job for example tracing the increment of some of the counters. The requested result report of the current values of the measurement job is represented by this interface. The current measurement result can be represented in two ways that the sever decide. The two ways are:

- as a location of the current measurement report file or
- as data.

Version:
  0.9, 2002-02-17
Author:
  Stefan Aberg

Method Summary
`java.lang.Object` | `clone()` Deep copy of this CurrentResultReport.
`ReportData` | `getReportData()` Gets data for the current measurement result report.
`ReportInfo` | `getReportInformation()` Gets information about the current measurement result report.
`boolean` | `isDataType()` Indicates if the current measurement result is of data type.
`boolean` | `isURLType()` Indicates if the current measurement result is of URL type.

Methods inherited from interface com.sun.management.oss.SerializerFactory
`getSupportedSerializerTypes, makeSerializer`

Method Detail

### clone

    public java.lang.Object clone()

  Deep copy of this CurrentResultReport.

  Returns:
    Object copy of this CurrentResultReport.

### isURLType

    public boolean isURLType()

  Indicates if the current measurement result is of URL type.

  If this operation returns true, then the location of current measurement result can be retrived by calling the `getReportInformation()` operation.

  Returns:
    boolean Returns true, if the current measurement result is of URL type.

### isDataType

    public boolean isDataType()

  Indicates if the current measurement result is of data type.

  If this operation returns true, then the current measurement result can be retrived by calling the `getReportData()` operation.

  Returns:
    boolean Returns true, if the current measurement result is of data type.

### getReportInformation

    public ReportInfo getReportInformation()
                                    throws java.lang.IllegalStateException

  Gets information about the current measurement result report.

  The current measurement result report information contains all information that is needed to retrieve the current measurement report data.

  Returns:
    ReportInfo Current measurement result report information.
  Throws:
    `java.lang.IllegalStateException` - Is raised if `isURLType() == false`.

### getReportData

    public ReportData getReportData()
                             throws java.lang.IllegalStateException

  Gets data for the current measurement result report.

  Returns:
    ReportData Current measurement result report data.
  Throws:
    `java.lang.IllegalStateException` - Is raised if `isDataType() == false`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD